public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Stefan Strogin" <steils@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-cpp/asio/
Date: Tue,  2 Jun 2020 00:48:00 +0000 (UTC)	[thread overview]
Message-ID: <1591058845.dcca646823744fc66f55800fa3fdc8ea48c8f0c2.steils@gentoo> (raw)

commit:     dcca646823744fc66f55800fa3fdc8ea48c8f0c2
Author:     Stefan Strogin <steils <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  2 00:43:24 2020 +0000
Commit:     Stefan Strogin <steils <AT> gentoo <DOT> org>
CommitDate: Tue Jun  2 00:47:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dcca6468

dev-cpp/asio: version bump to 1.16.1

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Stefan Strogin <steils <AT> gentoo.org>

 dev-cpp/asio/Manifest           |  1 +
 dev-cpp/asio/asio-1.16.1.ebuild | 49 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-cpp/asio/Manifest b/dev-cpp/asio/Manifest
index a846df08f77..8a8bdaaca0e 100644
--- a/dev-cpp/asio/Manifest
+++ b/dev-cpp/asio/Manifest
@@ -2,3 +2,4 @@ DIST asio-1.10.8.tar.bz2 1270332 BLAKE2B 97e4a6a7c8b4562f10af1d122e9b08c12d567fd
 DIST asio-1.12.2.tar.bz2 1437221 BLAKE2B c4479b66cff7811aa7b7dbe65684d2a11fb675df53e9554c2871fd4e3a8e32d262ae701e98198d508f89463da48d4509f12e8db87d033a91d55e00609207a351 SHA512 7ce2c9e846059a2205eca6bde285eab81164fbe087d51d35a33a07be6208049fcf07fc1ac33934a758b6b5907e56f3377e20bff10ffc9268376f81c6fae4e34a
 DIST asio-1.13.0.tar.bz2 1472744 BLAKE2B 1fde414bfc782f25f8ad7d7caf9ac8971bea22ebd3b74846584a242d7df164895759b74777b2330aa98d34c5b8c34f266a2f85fcc27413990cc05420f7685398 SHA512 30b09c6656c9beaf091e72d518930bb5650f4bf66b286d11457a949a690a2b9ddcad0c95cb2098b41a2226f354741755ffbc92098f2844f3253e1921ff60cd5b
 DIST asio-1.14.0.tar.bz2 1473195 BLAKE2B e28960d585a1a84c6be7d6205be310bd2baab36e93630b9f5f4fba593377e57d6baf1c60e2503c46cd00ae73b20b622215358cae2068e86b62dac7e782210ecb SHA512 84855a06a3facc41e3c1c61be443d8b73a01afcb9bc3f1f444f0f3fd901ea1d5c932266ed94a031a0abd83171d5a6b83b6ab850e44aa31d175081a7e07b4793a
+DIST asio-1.16.1.tar.bz2 1493978 BLAKE2B 810fd735a0cbea8e07bfe30cbf02d44469c3c7eebed3822766c0a658fe8972681232afe4a6124537886fafd0769eecc40b8eabbcaa2771b84b93cda56329394d SHA512 e8cab449887e3e362f9d3c2aa1b1bbb2f81954aeaf2cd12cefe7f848cdc30e1a576130b49f551efd49611b9d4941e724baea42739c043e158626f3c982b75311

diff --git a/dev-cpp/asio/asio-1.16.1.ebuild b/dev-cpp/asio/asio-1.16.1.ebuild
new file mode 100644
index 00000000000..d14123c9466
--- /dev/null
+++ b/dev-cpp/asio/asio-1.16.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Asynchronous Network Library"
+HOMEPAGE="https://think-async.com"
+SRC_URI="mirror://sourceforge/${PN}/${PN}/${P}.tar.bz2"
+
+LICENSE="Boost-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc examples libressl ssl test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-libs/boost
+	ssl? (
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl:0= )
+	)"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+
+	if ! use test; then
+		# Don't build nor install any examples or unittests
+		# since we don't have a script to run them
+		cat > src/Makefile.in <<-EOF || die
+			all:
+
+			install:
+
+			clean:
+		EOF
+	fi
+}
+
+src_install() {
+	use doc && local HTML_DOCS=( doc/. )
+	default
+
+	if use examples; then
+		# Get rid of the object files
+		emake clean
+		dodoc -r src/examples
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+}


             reply	other threads:[~2020-06-02  0:48 UTC|newest]

Thread overview: 115+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-02  0:48 Stefan Strogin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-09 11:39 [gentoo-commits] repo/gentoo:master commit in: dev-cpp/asio/ Sam James
2024-08-09  9:29 Sam James
2024-08-09  8:57 Sam James
2024-08-09  8:50 Jakov Smolić
2024-08-09  8:50 Jakov Smolić
2024-08-09  8:50 Jakov Smolić
2024-07-05  2:59 Eli Schwartz
2024-06-07 13:15 Joonas Niilola
2024-02-11  6:01 Sam James
2024-02-11  6:01 Sam James
2024-02-11  6:01 Sam James
2024-02-11  3:39 Sam James
2024-02-11  3:39 Sam James
2023-10-17  5:24 Yixun Lan
2023-10-17  5:24 Yixun Lan
2023-08-29  2:37 Sam James
2023-08-29  2:11 Sam James
2023-08-29  2:11 Sam James
2023-08-29  2:11 Sam James
2023-08-29  2:11 Sam James
2023-08-29  2:11 Sam James
2023-05-29 20:23 Sam James
2023-05-28 19:21 Arthur Zamarin
2023-05-28 11:37 Joonas Niilola
2023-05-28 11:37 Joonas Niilola
2023-05-27 17:32 Arthur Zamarin
2023-05-27 16:36 Sam James
2023-05-27 15:55 Sam James
2023-05-27 12:39 Sam James
2023-03-11 17:15 Sam James
2023-03-09 12:07 David Seifert
2023-02-27  9:04 Joonas Niilola
2022-12-29 22:27 Sam James
2022-12-29 21:48 Sam James
2022-12-29 21:48 Sam James
2022-12-29 21:48 Sam James
2022-12-29 21:48 Sam James
2022-12-29 21:44 Sam James
2022-11-21 21:22 David Seifert
2022-09-25  7:44 Arthur Zamarin
2022-09-25  7:21 Arthur Zamarin
2022-09-25  6:24 Agostino Sarubbo
2022-09-25  4:37 Sam James
2022-09-25  1:18 Sam James
2022-09-25  1:18 Sam James
2022-07-24 16:51 Florian Schmaus
2022-07-24 16:51 Florian Schmaus
2022-07-08  6:44 Agostino Sarubbo
2022-05-23  6:43 Agostino Sarubbo
2022-05-23  6:42 Agostino Sarubbo
2022-05-23  6:42 Agostino Sarubbo
2022-05-23  5:57 Joonas Niilola
2022-05-23  5:57 Joonas Niilola
2022-03-21 23:42 Sam James
2021-12-26 19:31 Sam James
2021-12-25 19:09 Jakov Smolić
2021-12-25 19:09 Jakov Smolić
2021-12-25 18:27 Arthur Zamarin
2021-12-25 18:11 Arthur Zamarin
2021-12-07  6:26 Agostino Sarubbo
2021-12-06 11:27 Agostino Sarubbo
2021-12-06  8:05 Agostino Sarubbo
2021-12-06  8:04 Agostino Sarubbo
2021-12-06  6:38 Arthur Zamarin
2021-11-06 16:15 Ionen Wolkens
2021-10-16 21:27 Ionen Wolkens
2021-10-16 21:27 Ionen Wolkens
2021-10-04 10:40 Yixun Lan
2021-09-10 18:24 Sam James
2021-09-10  6:28 Agostino Sarubbo
2021-09-10  6:26 Agostino Sarubbo
2021-09-10  1:26 Sam James
2021-09-10  1:26 Sam James
2021-08-11 20:41 Ionen Wolkens
2021-08-11 20:41 Ionen Wolkens
2021-07-15  6:03 Joonas Niilola
2021-07-10  9:40 David Seifert
2021-07-10  9:40 David Seifert
2021-06-12  5:18 Sam James
2021-05-02 12:37 Mikle Kolyada
2021-01-24  8:09 Joonas Niilola
2021-01-21  7:14 Joonas Niilola
2020-09-13 21:55 Sam James
2020-09-02 23:36 Sam James
2020-08-24 17:33 Sergei Trofimovich
2020-08-17  3:51 Stefan Strogin
2020-07-24 12:03 Joonas Niilola
2020-07-05 22:07 David Seifert
2020-07-05 13:44 Agostino Sarubbo
2020-07-05 13:40 Agostino Sarubbo
2020-07-05 13:39 Agostino Sarubbo
2020-07-05 13:36 Agostino Sarubbo
2020-07-05  9:27 Sergei Trofimovich
2020-06-05  0:33 Stefan Strogin
2020-06-02  0:48 Stefan Strogin
2019-12-07  3:09 Matt Turner
2019-11-14 11:55 Agostino Sarubbo
2019-11-12 15:08 Agostino Sarubbo
2019-11-11  8:58 Piotr Karbowski
2019-11-10 17:29 Sergei Trofimovich
2019-08-22  5:44 Stefan Strogin
2019-08-22  5:44 Stefan Strogin
2019-05-06 23:42 Stefan Strogin
2019-04-22 10:38 Michał Górny
2019-04-22 10:38 Michał Górny
2019-04-15 19:20 Michał Górny
2018-05-25 18:03 Aaron Bauman
2017-04-05 10:01 Michael Weber
2017-01-06 14:37 Tobias Klausmann
2017-01-04 17:09 Agostino Sarubbo
2016-12-19 14:14 Tobias Klausmann
2016-10-21 18:50 David Seifert
2016-05-27 11:27 Tobias Klausmann
2016-03-15 18:07 David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1591058845.dcca646823744fc66f55800fa3fdc8ea48c8f0c2.steils@gentoo \
    --to=steils@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox